org.jboss.classfilewriter.annotations

## Class AnnotationValue

- java.lang.Object
- - org.jboss.classfilewriter.annotations.AnnotationValue

All Implemented Interfaces:
  WritableEntry

Direct Known Subclasses:
  AnnotationAnnotationValue, ArrayAnnotationValue, BooleanAnnotationValue, ByteAnnotationValue, CharAnnotationValue, ClassAnnotationValue, DoubleAnnotationValue, EnumAnnotationValue, FloatAnnotationValue, IntAnnotationValue, LongAnnotationValue, ShortAnnotationValue, StringAnnotationValue

    public abstract class AnnotationValue
    extends Object
    implements WritableEntry

Represents an annotation name/value pair. This class can also represent a value an an array valued annotation instance, if the name is null

Author:
  Stuart Douglas

### Constructor Summary

Constructors
`protected` `AnnotationValue(ConstPool constPool, String name)`

### Method Summary

Methods
`String` `getName()`
`abstract char` `getTag()`
`void` `write(ByteArrayDataOutputStream stream)`
`abstract void` `writeData(ByteArrayDataOutputStream stream)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AnnotationValue

    protected AnnotationValue(ConstPool constPool,
                   String name)

### Method Detail

#### write

    public void write(ByteArrayDataOutputStream stream)
               throws IOException

Specified by:
  `write` in interface `WritableEntry`
Throws:
  `IOException`

#### writeData

    public abstract void writeData(ByteArrayDataOutputStream stream)
                            throws IOException

Throws:
  `IOException`

#### getName

    public String getName()

#### getTag

    public abstract char getTag()